# WP Allstars

A WordPress plugin that enhances your WordPress experience with curated plugins, themes, and optimization tools.
Current version: v0.2.3.3 (stable)

## Description

WP Allstars is a powerful WordPress plugin designed to help site owners and developers optimize their WordPress installations. It provides a curated collection of recommended plugins, themes, and optimization tools all in one place.

## Features

- **Modern Admin UI**: Enhanced admin interface with responsive design and interactive components.
- **Admin Color Schemes**: Switch between default and modern admin color schemes.
- **Curated Plugin Recommendations**: Browse and install recommended free plugins organized by category.
- **Pro Plugin Showcase**: Discover premium plugins with direct links to purchase.
- **Theme Integration**: Easily install and activate the Kadence theme.
- **Workflow Optimization**: Tools to streamline your WordPress workflow.
- **Advanced Settings**: Fine-tune your WordPress installation with advanced configuration options.

## Installation

1. Download the plugin zip file
2. Go to WordPress Admin > Plugins > Add New
3. Click "Upload Plugin" and select the downloaded zip file
4. Activate the plugin after installation

## Usage

After activation, you'll find the WP Allstars menu in your WordPress admin sidebar. The plugin includes several tabs:

### General

Basic settings for the plugin, including:
- Admin UI Enhancements
- Admin Color Schemes
- Auto Upload Images
- Image Optimization
- Cache Management

### Advanced

Advanced configuration options for WordPress optimization:

- Performance Settings
- Security Enhancements
- Development Tools

### Workflow

Tools to improve your WordPress workflow:

- Content Management
- Media Handling
- Site Maintenance

### Free Plugins

Browse and install recommended free plugins organized by categories:

- Minimal
- Admin
- AI
- CMS
- Compliance
- CRM
- Ecommerce
- LMS
- Media
- SEO
- Setup
- Social
- Speed
- Translation
- Advanced
- Debug

### Pro Plugins

Discover premium plugins with direct links to purchase.

### Theme

Easily install and activate the Kadence theme.

## UI Components

The plugin includes several enhanced UI components:

- **Cards**: Flexible containers for displaying content with optional headers and footers
- **Accordions**: Collapsible content panels for presenting information in a limited space
- **Notifications**: Stylish notifications for providing user feedback
- **Enhanced Form Elements**: Improved styling for inputs, buttons, and toggles

## Development

### Requirements

- WordPress 5.8 or higher
- PHP 7.4 or higher

### Contributing

1. Fork the repository
2. Create a feature branch: `git checkout -b feature/your-feature-name`
3. Commit your changes: `git commit -am 'Add some feature'`
4. Push to the branch: `git push origin feature/your-feature-name`
5. Submit a pull request

## License

This plugin is licensed under the GPL v2 or later.

## Credits

Developed by [Your Name/Company]

## Support

For support, please [create an issue](https://github.com/yourusername/wp-allstars/issues) on the GitHub repository.

## Debugging

- Debug mode can be enabled in wp-config.php
- Errors are logged to `wp-content/wp-allstars.log`

#